summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCédric Krier <cedk@gentoo.org>2006-12-11 22:26:15 +0000
committerCédric Krier <cedk@gentoo.org>2006-12-11 22:26:15 +0000
commit2ab0805500246273fbaa666d21e5d49341699dc3 (patch)
tree0639280c381eb993fb675132c0a3851ea221ea94
parentnet-print/cupsddk: replaced SRC_URI (faster Server) (diff)
downloadsunrise-2ab0805500246273fbaa666d21e5d49341699dc3.tar.gz
sunrise-2ab0805500246273fbaa666d21e5d49341699dc3.tar.bz2
sunrise-2ab0805500246273fbaa666d21e5d49341699dc3.zip
net-irc/sic: Fix ebuild
svn path=/sunrise/; revision=2246
-rw-r--r--net-irc/sic/ChangeLog3
-rw-r--r--net-irc/sic/Manifest16
-rw-r--r--net-irc/sic/sic-0.6.ebuild17
3 files changed, 19 insertions, 17 deletions
diff --git a/net-irc/sic/ChangeLog b/net-irc/sic/ChangeLog
index 97d071d20..c21637e20 100644
--- a/net-irc/sic/ChangeLog
+++ b/net-irc/sic/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 11 Dec 2006; Cedric Krier <cedk@gentoo.org> sic-0.6.ebuild:
+ Fix ebuild
+
11 Dec 2006; Christian Berendt (lhunephel) <christian@suppentopf.net>
+sic-0.6.ebuild, +metadata.xml:
I've removed the ebuild for sic, this is a version bump to 0.6. Sorry, cedk.
diff --git a/net-irc/sic/Manifest b/net-irc/sic/Manifest
index 5478e57a7..6c71929fd 100644
--- a/net-irc/sic/Manifest
+++ b/net-irc/sic/Manifest
@@ -1,12 +1,12 @@
DIST sic-0.6.tar.gz 5072 RMD160 3462e785d5efdcb68e18d97bd9feb06b256ffe01 SHA1 dc85f67690837d52a2d4f84fada0360b6d9e4791 SHA256 6195045369fc610be9b653dda8e11e805fa9f89fd0419ff69350c3c4d2ad9715
-EBUILD sic-0.6.ebuild 731 RMD160 b9e1d118ffe9878f4d4fdba182e3f9dea54bf871 SHA1 6d0a7523d6f0dcc104a3ece8035163da739186e5 SHA256 d276380d415edc5a38269b2d9e26e1d54935bded192601f10f7a8c00c985ad54
-MD5 4cdc69c923947760dec42be243b88b22 sic-0.6.ebuild 731
-RMD160 b9e1d118ffe9878f4d4fdba182e3f9dea54bf871 sic-0.6.ebuild 731
-SHA256 d276380d415edc5a38269b2d9e26e1d54935bded192601f10f7a8c00c985ad54 sic-0.6.ebuild 731
-MISC ChangeLog 327 RMD160 866cb0fbb467a955c3b93fb644365979d4b09f55 SHA1 cb57c5edd55db2c2f0a52264669f2b92410ab92f SHA256 e58f43ada7e0b7101d94fa10696de142e35f4e33cf2caae579576d1ee38b3d81
-MD5 4edf80341dbc646bef92e4b078c3c28f ChangeLog 327
-RMD160 866cb0fbb467a955c3b93fb644365979d4b09f55 ChangeLog 327
-SHA256 e58f43ada7e0b7101d94fa10696de142e35f4e33cf2caae579576d1ee38b3d81 ChangeLog 327
+EBUILD sic-0.6.ebuild 768 RMD160 e589762c3b9884696f19130fe251b728137e7bb7 SHA1 2cf57f0380a5123a955c2323fa08dd90ac99af19 SHA256 a6a2e724b1b03d33f3f9165b73946c4ca2cb29a915eba5b2624b91e388e9b33f
+MD5 28a3a31bceed2507c03ae87383ec7c6e sic-0.6.ebuild 768
+RMD160 e589762c3b9884696f19130fe251b728137e7bb7 sic-0.6.ebuild 768
+SHA256 a6a2e724b1b03d33f3f9165b73946c4ca2cb29a915eba5b2624b91e388e9b33f sic-0.6.ebuild 768
+MISC ChangeLog 403 RMD160 8f94be903af79bfce49b924c8ec82d6cf350f7b3 SHA1 c8cc3480fdcb036068aad205900d6725ff46f45a SHA256 3964b43f92da46bcb117fb8a8b0664ead8df823c1e6bb40e44ca0301951df566
+MD5 34a38097bbb7a23e8e399d4cd2e08723 ChangeLog 403
+RMD160 8f94be903af79bfce49b924c8ec82d6cf350f7b3 ChangeLog 403
+SHA256 3964b43f92da46bcb117fb8a8b0664ead8df823c1e6bb40e44ca0301951df566 ChangeLog 403
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
MD5 1e678929a9fec6632e227bdf2262e9a1 metadata.xml 170
RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 metadata.xml 170
diff --git a/net-irc/sic/sic-0.6.ebuild b/net-irc/sic/sic-0.6.ebuild
index e118d5d66..48e4601c8 100644
--- a/net-irc/sic/sic-0.6.ebuild
+++ b/net-irc/sic/sic-0.6.ebuild
@@ -5,9 +5,9 @@
inherit toolchain-funcs
DESCRIPTION="an extremly simple IRC client"
-HOMEPAGE="http://suckless.org"
+HOMEPAGE="http://irc.suckless.org/view.sh/simple+irc+client"
SRC_URI="http://suckless.org/download/${P}.tar.gz"
-
+
LICENSE="MIT"
SLOT="0"
KEYWORDS="~x86 ~amd64"
@@ -21,13 +21,13 @@ src_unpack() {
cd "${S}"
sed -i \
- -e "s/.*strip.*//" \
- Makefile || die "sed failed"
+ -e "s/.*strip.*//" \
+ Makefile || die "sed failed"
sed -i \
- -e "s/CFLAGS = -Os/CFLAGS +=/" \
- -e "s/LDFLAGS =/LDFLAGS +=/" \
- config.mk || die "sed failed"
+ -e "s/CFLAGS = -Os/CFLAGS +=/" \
+ -e "s/LDFLAGS =/LDFLAGS +=/" \
+ config.mk || die "sed failed"
}
src_compile() {
@@ -35,8 +35,7 @@ src_compile() {
}
src_install() {
- emake DESTDIR="${D}" PREFIX="/usr" install ||
- "emake install failed"
+ emake DESTDIR="${D}" PREFIX="/usr" install || die "emake install failed"
dodoc README
}